summaryrefslogtreecommitdiffstats
path: root/scripts/makepkg.sh.in
diff options
context:
space:
mode:
authorAllan McRae <allan@archlinux.org>2011-02-05 10:24:58 +1000
committerDan McGee <dan@archlinux.org>2011-02-06 12:52:59 -0600
commitbb071f4eb20810216b731f6792a32c148eb78931 (patch)
treeeccd7085fc977fb6baaa6a67212cd11b5e8fe35e /scripts/makepkg.sh.in
parent3cf870eda5842fb07e384026c7dc4279d2c26aca (diff)
downloadpacman-bb071f4eb20810216b731f6792a32c148eb78931.tar.gz
pacman-bb071f4eb20810216b731f6792a32c148eb78931.zip
makepkg: more bash-3.2 compatibility
Adding the "|| true" to the subshell prevents bash-3.2 setting off the error_trap but requires changing the if statement. Signed-off-by: Allan McRae <allan@archlinux.org> Signed-off-by: Dan McGee <dan@archlinux.org>
Diffstat (limited to 'scripts/makepkg.sh.in')
-rw-r--r--scripts/makepkg.sh.in4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 13415fbe..001178ad 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -507,8 +507,8 @@ download_sources() {
local netfile
for netfile in "${source[@]}"; do
- local file
- if file=$(get_filepath "$netfile"); then
+ local file=$(get_filepath "$netfile" || true)
+ if [[ -n "$file" ]]; then
msg2 "$(gettext "Found %s")" "${file##*/}"
ln -sf "$file" "$srcdir/"
continue